<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  カテゴリ設定画面（管理）表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.view
 */
class configCategoryAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // カテゴリ絞込みIDのチェック
        if (strlen($request['category_condition']) > 0)
        {
            // 絞込み有
            $this->assign('category_list', db_get_categories4admin_condition($request['category_condition']));
        }
        else {
            // 絞込み無
            $this->assign('category_list', db_get_categories4admin());
        }

        // カテゴリ絞込みIDの設定
        $this->assign('category_condition', $request['category_condition']);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'カテゴリ設定');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
